Bug Hunting Session
Bug 113831 - Find All search result window should show the number of found results
Summary: Find All search result window should show the number of found results
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2017-11-14 15:18 UTC by Thomas Lendo
Modified: 2017-12-01 11:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Shown number of found results in MSO Excel 2013 (21.73 KB, image/png)
2017-11-14 15:18 UTC, Thomas Lendo
Details
Screenshot of Calc 6.0.0.0.alpha1+ from yesterday (128.98 KB, image/png)
2017-11-22 21:24 UTC, Thomas Lendo
Details
Dialog with the patch (16.08 KB, image/png)
2017-11-25 11:40 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-11-14 15:18:36 UTC
Created attachment 137751 [details]
Shown number of found results in MSO Excel 2013

The search result window that opens after clicking on the "Find All" button in the "Find & Replace" dialog should show the number of found results.
Comment 1 Buovjaga 2017-11-16 10:34:39 UTC
Currently the result is shown in the status bar "x characters selected".
Comment 2 Heiko Tietze 2017-11-17 18:38:30 UTC
...and in the CountA variable, if shown. Why is the number needed?
Comment 3 Thomas Lendo 2017-11-22 21:24:14 UTC
Created attachment 137927 [details]
Screenshot of Calc 6.0.0.0.alpha1+ from yesterday

Buovjaga and Heiko: I don't see any of your suggestions. What do I miss?
Comment 4 Heiko Tietze 2017-11-22 22:26:24 UTC
The dialog has a label anyway, hidden by default, that shows the number of 'skipped' items for very long lists. We could always show this label and just add the skipped to it.

Selection and CountA are alternative workflows.
Comment 5 Heiko Tietze 2017-11-25 11:40:32 UTC
Created attachment 137974 [details]
Dialog with the patch

The 'skipped' information will not be shown for <1000 results.

Patch is here https://gerrit.libreoffice.org/#/c/45269/
Comment 6 Thomas Lendo 2017-11-26 10:20:22 UTC
(In reply to Heiko Tietze from comment #5)
> Created attachment 137974 [details]
> Dialog with the patch
> 
> The 'skipped' information will not be shown for <1000 results.
> 
> Patch is here https://gerrit.libreoffice.org/#/c/45269/
Thanks, Heiko!
Comment 7 Commit Notification 2017-11-27 09:42:33 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=470682b3abf0622f5e9663d62d8641f63ceb6f30

tdf#113831 Show number of search results

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-01 11:07:36 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad4abd949de51cd66288bdb4f884cc5ab2b6a59a&h=libreoffice-6-0

tdf#113831 Show number of search results

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.